https://pantsbuild.org/ logo
#general
Title
# general
e

enough-analyst-54434

07/25/2017, 3:41 PM
OK ... so the
Requirement
class actually comes from the pkg_resources module which should be provided by setuptools, and is fwict:
Copy code
$ zipinfo -1 setuptools-33.1.1-py2.py3-none-any.whl | grep pkg_resources
pkg_resources/__init__.py
pkg_resources/_vendor/__init__.py
pkg_resources/_vendor/appdirs.py
pkg_resources/_vendor/pyparsing.py
pkg_resources/_vendor/six.py
pkg_resources/_vendor/packaging/__about__.py
pkg_resources/_vendor/packaging/__init__.py
pkg_resources/_vendor/packaging/_compat.py
pkg_resources/_vendor/packaging/_structures.py
pkg_resources/_vendor/packaging/markers.py
pkg_resources/_vendor/packaging/requirements.py
pkg_resources/_vendor/packaging/specifiers.py
pkg_resources/_vendor/packaging/utils.py
pkg_resources/_vendor/packaging/version.py
pkg_resources/extern/__init__.py